Skip to content

Complete Portfolio Document Upload

Required scope: portfolio_file:create

This is step 2 of the public document upload flow. After the client uploads the document to the signed URL, call this endpoint to create the portfolio document record.

The upload must be completed by the same API key that created it. Completion verifies the file bytes and moves them to a server-owned object key before creating the portfolio record.

Generated Reference
POST /public-api/publicapi.v1.Portfolio/CompletePortfolioDocumentUpload

Finalizes a previously-created portfolio document upload.

Request CompletePortfolioDocumentUploadRequest
Response CompletePortfolioDocumentUploadResponse

CompletePortfolioDocumentUploadRequest

Field Type
upload_id string

CompletePortfolioDocumentUploadResponse

Field Type
document PortfolioDocument
{
"uploadId": "9a970b0c-1a2f-49db-b67b-43fa4fc32bbf"
}
{
"document": {
"id": "cba8fef4-4fd2-4be6-af77-326e716ef130",
"portfolioId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"visibility": "PUBLIC_PORTFOLIO_FILE_VISIBILITY_CUSTOMER",
"originalFilename": "quote.pdf",
"contentType": "application/pdf",
"sizeBytes": 124991
}
}